IllegalClassFormatException (Java SE 9 & JDK 9 )
Keywords: java.lang.instrument.IllegalClassFormatException class

Module java.instrument
Package java.lang.instrument

## Class IllegalClassFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.instrument.IllegalClassFormatException

- All Implemented Interfaces:
    `Serializable`

      public class IllegalClassFormatException
      extends Exception

  Thrown by an implementation of `ClassFileTransformer.transform` when its input parameters are invalid. This may occur either because the initial class file bytes were invalid or a previously applied transform corrupted the bytes.
  Since:
    1.5
  See Also:
    `ClassFileTransformer.transform(java.lang.ClassLoader, java.lang.String, java.lang.Class<?>, java.security.ProtectionDomain, byte[])`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IllegalClassFormatException​()` | Constructs an `IllegalClassFormatException` with no detail message.
    `IllegalClassFormatException​(String s)` | Constructs an `IllegalClassFormatException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### IllegalClassFormatException

          public IllegalClassFormatException​()

      Constructs an `IllegalClassFormatException` with no detail message.

    - #### IllegalClassFormatException

          public IllegalClassFormatException​(String s)

      Constructs an `IllegalClassFormatException` with the specified detail message.
      Parameters:
        `s` - the detail message.